<template>
  <el-link :type="type" :underline="false" :@click="openUrl(href)" href="#" >
    {{ title }}
  </el-link>
</template>
<script setup lang="ts">/** 自定义页面跳转 */

import {propTypes} from "@/utils/propTypes";

defineOptions({ name: 'Link' })
const props = defineProps({
  type: propTypes.string,
  href: propTypes.string,
  title: propTypes.string
})

const { t } = useI18n() // 国际化
const message = useMessage() // 消息弹窗
// const { push } = useRouter()
// /** 跳转生产计划页面**/
// const openUrl = (url: number) => {
//   push(url)
// }
</script>
